Public Member Functions | |
| setCurlOptions (array $options) | |
Protected Member Functions | |
| sendRequest () | |
Private Member Functions | |
| _initAndConfigure () | |
| _storeResponseBody ($body) | |
| _curlReadHeaders ($ch, $header) | |
Private Attributes | |
| $_curlOptions = array() | |
Provides support for performing web-requests via curl
Definition at line 40 of file CurlRequest.php.
| CAS_Request_CurlRequest::_curlReadHeaders | ( | $ | ch, | |
| $ | header | |||
| ) | [private] |
Internal method for capturing the headers from a curl request.
| handle | $ch handle of curl | |
| string | $header header |
Definition at line 192 of file CurlRequest.php.
References CAS_Request_AbstractRequest::storeResponseHeader().
| CAS_Request_CurlRequest::_initAndConfigure | ( | ) | [private] |
Internal method to initialize our cURL handle and configure the request. This method should NOT be used outside of the CurlRequest or the CurlMultiRequest.
Definition at line 100 of file CurlRequest.php.
References phpCAS::trace().
Referenced by sendRequest().
| CAS_Request_CurlRequest::_storeResponseBody | ( | $ | body | ) | [private] |
Store the response body. This method should NOT be used outside of the CurlRequest or the CurlMultiRequest.
| string | $body body to stor |
Definition at line 179 of file CurlRequest.php.
References CAS_Request_AbstractRequest::storeResponseBody().
| CAS_Request_CurlRequest::sendRequest | ( | ) | [protected] |
Send the request and store the results.
Definition at line 63 of file CurlRequest.php.
References _initAndConfigure(), CAS_Request_AbstractRequest::storeErrorMessage(), CAS_Request_AbstractRequest::storeResponseBody(), phpCAS::trace(), phpCAS::traceBegin(), and phpCAS::traceEnd().
| CAS_Request_CurlRequest::setCurlOptions | ( | array $ | options | ) |
Set additional curl options
| array | $options option to set |
Definition at line 52 of file CurlRequest.php.
CAS_Request_CurlRequest::$_curlOptions = array() [private] |
Definition at line 56 of file CurlRequest.php.
1.7.1